#
# spec file for package phoronix-test-suite
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           phoronix-test-suite
Version:        7.2.0
Release:        1.1
Summary:        Comprehensive test and benchmarking platform
License:        GPL-3.0
Group:          System/Benchmark
Url:            http://www.phoronix-test-suite.com/
Source0:        http://www.phoronix.net/downloads/phoronix-test-suite/releases/%{name}-%{version}.tar.gz
# PATCH-FIX-OPENSUSE phoronix-test-suite-php-gtk-ini.patch
Patch0:         phoronix-test-suite-php-gtk-ini.patch
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  shared-mime-info
BuildRequires:  systemd-rpm-macros
BuildRequires:  update-desktop-files
Requires:       php5
Requires:       php5-curl
Requires:       php5-dom
Requires:       php5-gd
Requires:       php5-json
Requires:       php5-openssl
Requires:       php5-pcntl
Requires:       php5-posix
Requires:       php5-zip
Requires:       xdg-utils
#php5-gtk is not in Factory so for now use Recommends
Recommends:     php5-gtk
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%systemd_requires

%description
The Phoronix Test Suite can be used for simply comparing your
computer's performance or internal quality assurance purposes under
Linux. Results from the Phoronix Test Suite are displayed in a results
viewer with optional support for uploading them to PTS Global. This
software is based upon the internal tools and extensive Linux
benchmarking work done by Phoronix since 2004, with input from tier-one
computer hardware vendors. The Phoronix Test Suite ships with over 50
tests and 20 suites.

%prep
%setup -q -n %{name}
%patch0 -p1

%build

%install
export DESTDIR=%{buildroot}
./install-sh ${_prefix}
%suse_update_desktop_file -i -n %{name}
%suse_update_desktop_file -i -n %{name}-launcher
%fdupes -s %{buildroot}
mkdir %{buildroot}%{_sbindir}
ln -sv %{_sbindir}/service %{buildroot}%{_sbindir}/rcphoromatic-client
ln -sv %{_sbindir}/service %{buildroot}%{_sbindir}/rcphoromatic-server

rm  %{buildroot}%{_datadir}/%{name}/pts-core/static/sample-pts-client-update-script.sh
rm  %{buildroot}%{_datadir}/%{name}/pts-core/external-test-dependencies/scripts/install-macports-packages.sh

%pre
%service_add_pre phoromatic-client.service phoromatic-server.service

%post
%desktop_database_post
%icon_theme_cache_post
%mime_database_post
%service_add_post phoromatic-client.service phoromatic-server.service

%preun
%service_del_preun phoromatic-client.service phoromatic-server.service

%postun
%desktop_database_postun
%icon_theme_cache_postun
%mime_database_postun
%service_del_postun phoromatic-client.service phoromatic-server.service

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README.md
%doc %{_datadir}/doc/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/
%config(noreplace) %{_sysconfdir}/bash_completion.d/*
%{_datadir}/mime/packages/*
%dir %{_datadir}/appdata
%{_sbindir}/rcphoromatic-client
%{_sbindir}/rcphoromatic-server
%{_unitdir}/phoromatic-client.service
%{_unitdir}/phoromatic-server.service
%{_datadir}/appdata/phoronix-test-suite.appdata.xml

%changelog
* Fri Jun 16 2017 jhura@suse.com
- Update to version 7.2.0:
  * For detailed list of changes see ChangeLog
* Thu May 18 2017 dziolkowski@suse.com
- Update to version 7.0.1:
  * For detailed list of changes see ChangeLog
* Thu Mar 16 2017 mpluskal@suse.com
- Update to version 7.0.0:
  * For detailed list of changes see ChangeLog
* Wed Dec  7 2016 jhura@suse.com
- Update to 6.8.0
  * For detailed list of changes see CHANGE-LOG.
* Sat Mar  5 2016 mpluskal@suse.com
- Update to 6.2.1
  * For detailed list of changes see CHANGE-LOG.
* Sat Nov 28 2015 kkaempf@suse.com
- Update to 6.0.1
  * For detailed list of changes see CHANGE-LOG.
* Tue Jul  7 2015 mailaender@opensuse.org
- enable MIME support
* Tue Jul  7 2015 mailaender@opensuse.org
- update to version 5.8.1
  * For detailed list of changes see CHANGE-LOG.
* Mon Apr 13 2015 jhura@suse.com
- Update to version 5.6.0
  * For detailed list of changes see CHANGE-LOG.
* Thu Feb  5 2015 mpluskal@suse.com
- Cleanup spec file with spec-cleaner
- Add dependencies for unit files
- Update to version 5.4.1:
  * pts-core: Update AppData and systemd service files
  * pts-core: Add csv-dump-frame-latencies support to result parser
  * phoromatic: Improve formatting of result strings when merging random result files together
  * phoromatic: Add enterprise-setup sub-command
  * phoromatic: Attempt to detect and report IP address next to requested MAC address claim on the system claim page
* Wed Sep  3 2014 dsterba@suse.cz
- Build version 5.2.1
* Sat Jan  5 2013 joop.boonen@opensuse.org
- Build version 4.2.0
* Tue Nov 27 2012 joop.boonen@opensuse.org
- Build version 4.0.1
* Thu Apr 26 2012 joop.boonen@opensuse.org
- Added cross distro build
- Added phoronix-test-suite-launcher.desktop
- Passed spec file through spec cleaner
* Tue Apr 24 2012 mseben@gmail.com
- added sles10_fixs.patch to fix sles10 builds
- update to 3.8.0-Bygland (for full changelog see CHANGE-LOG file)
  - pts-core: Support longer titles on result files (64 characters expanded on OpenBenchmarking.org)
  - pts-core: Wine/Windows fixes for items reported by Stefan Dösinger
  - pts-core: Minor improvement for analyzing compiler option string differences
  - pts-core: Fix for result file analyzing sometimes not returning hardware changes
  - pts-core: Better handling for detecting Wine trackers / other trackers using a mix of short SHA1s
  - phodevi: Support for determining and appending release dates on GCC snapshots/pre-releases
* Sat Jan  7 2012 joop.boonen@opensuse.org
- Build version 3.6.1
* Mon Jul  4 2011 joop.boonen@opensuse.org
- Build version 3.2.1
* Wed Mar 16 2011 joop.boonen@opensuse.org
- Build version 3.0.1
* Mon Mar 14 2011 lslezak@suse.cz
- Updated to 3.0.0
* Thu Sep  9 2010 joop.boonen@opensuse.org
- Build version 2.8.1
* Tue Sep  7 2010 joop.boonen@opensuse.org
- Build version 2.8.0
- It's a noarch package as it doesn't contain binaries
* Mon Sep  6 2010 joop.boonen@opensuse.org
- Build according to:
- http://oops.opsat.net/doc/gtk/configure-php.html
  as the old build breaks php cli
* Tue Jun 29 2010 joop.boonen@opensuse.org
- Build version 2.6.1
* Thu Mar 18 2010 joop.boonen@opensuse.org
- Build version 2.4.1
* Wed Jan  6 2010 joop.boonen@opensuse.org
- Build version 2.2.0
* Wed Aug  5 2009 joop_boonen@opensuse.org
- Build version 2.0.0
* Tue May 19 2009 joop_boonen@opensuse.org
- Build version 1.8.1
- Some improvements to the spec file
  with improvements 1.2.1 package of some-guy <muhammedu@gmail.com>
* Thu Sep  4 2008 kyu@suse.de
- initial release
